<?php
/***************************************************************************
*                                                                          *
*   (c) 2004 Vladimir V. Kalynyak, Alexey V. Vinokurov, Ilya M. Shalnev    *
*                                                                          *
* This  is  commercial  software,  only  users  who have purchased a valid *
* license  and  accept  to the terms of the  License Agreement can install *
* and use this program.                                                    *
*                                                                          *
****************************************************************************
* PLEASE READ THE FULL TEXT  OF THE SOFTWARE  LICENSE   AGREEMENT  IN  THE *
* "copyright.txt" FILE PROVIDED WITH THIS DISTRIBUTION PACKAGE.            *
****************************************************************************/

// $Id: order_management.post.php by andplus 2022

use Tygh\Tygh;
use Tygh\Registry;

if (!defined('BOOTSTRAP')) { die('Access denied'); }

$atone_cart = Tygh::$app['session']['cart'];
$atone_order_id = $atone_cart['order_id'];

if (isset($atone_cart['payment_id'])) {
   $atone_payment_data = fn_get_payment_method_data($atone_cart['payment_id']);
}

if( $mode == 'update' ){
    
    if(!empty($atone_order_id) ){
        if($atone_payment_data['template'] === "addons/atone/views/orders/components/payments/atone.tpl") {
        	Tygh::$app['view']->assign('order_id', $atone_order_id);
			$private_key = db_get_field('SELECT value FROM ?:settings_objects WHERE name = "private_key"');        
			$c_private_key = base64_encode($private_key);
			$basic = "Basic ".$c_private_key;

			$atone_mode = db_get_field('SELECT value FROM ?:settings_objects WHERE name = "atone_mode"');
          	$result = fn_atn_reference($atone_order_id, $basic, $atone_mode);
          
          	if(isset($result['transaction_options'])) {
				$r_options = $result['transaction_options'];
				foreach ($r_options as $r_option) {
					if($r_option == 3) {
						Tygh::$app['view']->assign('r_option', $r_option);
					}
				}
	
			}
           
        }

    }
             
}elseif( $mode == 'registration' ){
    if(!empty($atone_order_id) ){
        if($atone_payment_data['template'] === "addons/atone/views/orders/components/payments/atone.tpl") {
        	fn_atn_register($atone_order_id);
        }
    }
}
