<?php
/***************************************************************************
 *                                                                          *
 *    Copyright (c) 2009 Simbirsk Technologies Ltd. All rights reserved.    *
 *                                                                          *
 * This  is  commercial  software,  only  users  who have purchased a valid *
 * license  and  accept  to the terms of the  License Agreement can install *
 * and use this program.                                                    *
 *                                                                          *
 ****************************************************************************
 * PLEASE READ THE FULL TEXT  OF THE SOFTWARE  LICENSE   AGREEMENT  IN  THE *
 * "copyright.txt" FILE PROVIDED WITH THIS DISTRIBUTION PACKAGE.            *
 ****************************************************************************/

// $Id: atone.php by andplus 2022
// atone決済

if (!defined('BOOTSTRAP')) { die('Access denied'); }

if(isset($mode) && $mode == 'place_order') {

    if(AREA == "C") {
    
    	$ap_session = &Tygh::$app['session'];
    	
    	if($_REQUEST['check_a_total']) {
    		if((int)$_REQUEST['check_a_total'] != (int)$ap_session['cart']['total']) {
    			if(!empty($ap_session['atn_tr_no'])) {
                    unset($ap_session['atn_tr_no']);
                }
                if(!empty($ap_session['atn_tr_id'])) {
                    //atone側の注文データキャンセル処理
                    fn_atn_canceled_auto_ex($ap_session['atn_tr_id']);
                    unset($ap_session['atn_tr_id']);
                }
                if(!empty($ap_session['atn_token'])) {
                    unset($ap_session['atn_token']);
                }
                if(!empty($ap_session['atn_guest_token'])) {
                	unset($ap_session['atn_guest_token']);
            	}

                fn_set_notification('E', __('error'), __('atone_error_alert'));
                $return_url = fn_lcjp_get_error_return_url();
                fn_redirect($return_url, true);
    		}
    	}else{
    		
        	if(!empty($ap_session['atn_tr_no'])) {
                unset($ap_session['atn_tr_no']);
            }
            if(!empty($ap_session['atn_tr_id'])) {
                //atone側の注文データキャンセル処理
                fn_atn_canceled_auto_ex($ap_session['atn_tr_id']);
                unset($ap_session['atn_tr_id']);
            }
            if(!empty($ap_session['atn_token'])) {
                unset($ap_session['atn_token']);
            }
            if(!empty($ap_session['atn_guest_token'])) {
                unset($ap_session['atn_guest_token']);
            }

            fn_set_notification('E', __('error'), __('atone_error_alert'));
            $return_url = fn_lcjp_get_error_return_url();
            fn_redirect($return_url, true);
        }
    	
        if($_REQUEST['check_a_id']) {
            if((int)$_REQUEST['check_a_id'] != (int)$ap_session['auth']['user_id']) {

                if(!empty($ap_session['atn_tr_no'])) {
                    unset($ap_session['atn_tr_no']);
                }
                if(!empty($ap_session['atn_tr_id'])) {
                    //atone側の注文データキャンセル処理
                    fn_atn_canceled_auto_ex($ap_session['atn_tr_id']);
                    unset($ap_session['atn_tr_id']);
                }
                if(!empty($ap_session['atn_token'])) {
                    unset($ap_session['atn_token']);
                }
                if(!empty($ap_session['atn_guest_token'])) {
                	unset($ap_session['atn_guest_token']);
            	}

                fn_set_notification('E', __('error'), __('atone_error_alert'));
                $return_url = fn_lcjp_get_error_return_url();
                fn_redirect($return_url, true);
            }
        }else{
        	if(!empty($ap_session['auth']['user_id'])) {
        		if(!empty($ap_session['atn_tr_no'])) {
                	unset($ap_session['atn_tr_no']);
            	}
            	if(!empty($ap_session['atn_tr_id'])) {
                	//atone側の注文データキャンセル処理
                	fn_atn_canceled_auto_ex($ap_session['atn_tr_id']);
                	unset($ap_session['atn_tr_id']);
            	}
            	if(!empty($ap_session['atn_token'])) {
                	unset($ap_session['atn_token']);
            	}
            	if(!empty($ap_session['atn_guest_token'])) {
                	unset($ap_session['atn_guest_token']);
            	}

            	fn_set_notification('E', __('error'), __('atone_error_alert'));
            	$return_url = fn_lcjp_get_error_return_url();
            	fn_redirect($return_url, true);
            }
        }
        
        if(empty($ap_session['atn_tr_id']) || empty($ap_session['atn_tr_no'])) {
        	if(!empty($ap_session['atn_tr_no'])) {
                unset($ap_session['atn_tr_no']);
            }
            if(!empty($ap_session['atn_tr_id'])) {
                //atone側の注文データキャンセル処理
                fn_atn_canceled_auto_ex($ap_session['atn_tr_id']);
                unset($ap_session['atn_tr_id']);
            }
            if(!empty($ap_session['atn_token'])) {
                unset($ap_session['atn_token']);
            }
            if(!empty($ap_session['atn_guest_token'])) {
                unset($ap_session['atn_guest_token']);
            }
            
        	fn_set_notification('E', __('error'), __('atone_error_alert'));
            $return_url = fn_lcjp_get_error_return_url();
            fn_redirect($return_url, true);
        }
    }elseif(AREA == "A") {
    	fn_atn_update_order();
    }
}
